Subscribe to Church
curl --request POST \
--url https://api.thefaithapp.com/v1/subscribe \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <x-api-key>' \
--data '
{
"fcm_token": "<string>"
}
'import requests
url = "https://api.thefaithapp.com/v1/subscribe"
payload = { "fcm_token": "<string>" }
headers = {
"X-API-Key": "<x-api-key>",
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-API-Key': '<x-api-key>',
Authorization: '<authorization>',
'Content-Type': 'application/json'
},
body: JSON.stringify({fcm_token: '<string>'})
};
fetch('https://api.thefaithapp.com/v1/subscribe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"user": "<string>"
}Core Experience
Subscribe to Church
POST
/
v1
/
subscribe
Subscribe to Church
Subscribes the authenticated TheFaithApp member to the church represented by the API key and stores the device FCM token for push notifications.
Example request
curl -X POST https://api.thefaithapp.com/v1/subscribe \
-H "X-API-Key: your-client-api-key" \
-H "Authorization: Bearer member-bearer-token" \
-H "Content-Type: application/json" \
-d '{"fcm_token":"user-device-fcm-token"}'
Request inputs
Your client API key from the dashboard (Settings page).
The member bearer token returned by
POST /v1/auth/token.User’s FCM device token.
Response fields
Confirms the church the member has just been subscribed to.
The member identifier associated with the church subscription.
Example response
{
"message": "Church subscribed to Example Church",
"user": "member-user-123"
}
Was this page helpful?
⌘I